#
# spec file for package gnome-vfs2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-vfs2
%define _name gnome-vfs
BuildRequires:  cdparanoia
BuildRequires:  dbus-1-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  fdupes
BuildRequires:  gamin-devel
BuildRequires:  gcc-c++
BuildRequires:  gconf2-devel
BuildRequires:  gnome-common
BuildRequires:  gnome-patch-translation
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  krb5-devel
BuildRequires:  libacl-devel
BuildRequires:  libattr-devel
BuildRequires:  libavahi-glib-devel
BuildRequires:  libbz2-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libselinux-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libxml2-devel
BuildRequires:  samba
Version:        2.24.4
Release:        lp150.2.9
Summary:        The GNOME 2.x Desktop Virtual File System Libraries
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Libraries/GNOME
Url:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         ftp://ftp.gnome.org/pub/gnome/sources/%{_name}/2.24/%{_name}-%{version}.tar.bz2
Source99:       baselibs.conf
Requires:       desktop-file-utils
# PATCH-FEATURE-OPENSUSE gnome-vfs-url_handler_news.patch vuntz@novell.com -- add news: url handler schema
Patch20:        gnome-vfs-url_handler_news.patch
# PATCH-FEATURE-OPENSUSE gnome-vfs-url_handler_ftp.patch vuntz@novell.com -- add ftp: url handler schema
Patch22:        gnome-vfs-url_handler_ftp.patch
# PATCH-FEATURE-SLE gnome-vfs2-172680-novell-services.diff bnc172680 -- Needed for novell-nautilus-plugin integration in network://
Patch35:        gnome-vfs2-172680-novell-services.diff
# PATCH-FIX-OPENSUSE gnome-vfs-no-mime-data.patch vuntz@novell.com -- This is bgo336952. Technically, this is wrong (since gnome-mime-data is still a dependency for deprecated API), but in practice, this should be fine.
Patch39:        gnome-vfs-no-mime-data.patch
# PATCH-FIX-SLE gnome-vfs2-293856-novfs-file-method.diff bnc293856
Patch40:        gnome-vfs2-293856-novfs-file-method.diff
# PATCH-FEATURE-OPENSUSE gnome-vfs-url_handler_irc.patch bnc372232 vuntz@novell.com -- add irc: url handler schema
Patch41:        gnome-vfs-url_handler_irc.patch
# PATCH-FIX-UPSTREAM gnome-vfs2-non_void.patch bgo#611574 ro@novell.com -- Fix no-return-in-non-void-function.
Patch42:        gnome-vfs2-non_void.patch
# PATCH-FIX-OPENSUSE gnome-vfs2-ssl.patch bgo#681242 crrodriguez@opensuse.org - Never negotiate SSLv2 because it is broken
Patch43:        gnome-vfs2-ssl.patch
# PATCH-FIX-UPSTREAM gnome-vfs2-g_memmove-no-more.patch dimstar@opensuse.org -- Use memmove() instead of obsolete g_memmove()
Patch44:        gnome-vfs2-g_memmove-no-more.patch
# PATCH-FIX-SLE gnome-vfs2-2.12.2-smb-method-fixes.patch bnc#832381 dliang@suse.com -- porting some missing patches from SLE to openSUSE
Patch45:        gnome-vfs2-2.12.2-smb-method-fixes.patch
# PATCH-FIX-SLE gnome-vfs2-bug338168-cannot-access-from-location-input.patch bnc#832381 dliang@suse.com -- porting some missing patches from SLE to openSUSE
Patch46:        gnome-vfs2-bug338168-cannot-access-from-location-input.patch
# PATCH-FIX-OPENSUSE gnome-vfs2-openssl11.patch bsc#1042650 meissner@suse.com -- openssl 1.1 enablement: replacing old openssl construct by a better strategy
Patch50:        gnome-vfs2-openssl11.patch
# bug437293
%ifarch ppc64
Obsoletes:      gnome-vfs2-64bit
%endif
#
Obsoletes:      gnome-vfs-extras
Provides:       gnome-vfs-extras
Recommends:     %{name}-lang
%gconf_schemas_prereq

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of the
Nautilus file manager. It provides a modular architecture and ships
with several modules that implement support for file systems, HTTP,
FTP, and others. It provides a URI-based API, a back-end supporting
asynchronous file operations, a MIME type manipulation library, and
other features.

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       gconf2-devel
Requires:       glib2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%package doc
Summary:        Additional Package Documentation for gnome-vfs2
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
BuildArch:      noarch

%description doc
GNOME VFS is the GNOME virtual file system. It is the foundation for
the Nautilus file manager. It provides a modular architecture and ships
with several modules that implement support for file systems, HTTP,
FTP, and more. It provides a URI-based API, a back-end that supports
asynchronous file operations, a MIME type manipulation library, and
other features.

This package contains additional documentation for the main package.

%lang_package
%prep
%setup -q -n %{_name}-%{version}
gnome-patch-translation-prepare
%patch35 -p1
%patch39
%patch40
%patch42
%patch43
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch50 -p1

# ^ Place for your patches is here
#
gnome-patch-translation-update
# Put here only patches with its own translation management:
%patch20
%patch22
%patch41 -p1
# ^ Add no patches here!
#
# Put your patches upper from gnome-patch-translation-update
# Generate translations for "news", "ftp" and "irc" entries from "h323".
# These entries are identical with exception of URL type string.
for po in po/*.po ; do
    tr '\n' '\1' <$po |
	sed $'s/\1\1/\\n\\n/g' |
	sed $'
	    s/\(.*desktop_gnome_url_handlers.schemas.*msgid ".*\)h323\\(.*"\1msgstr ".*\\)h323\\(.*\\)$/&\\n\\n\\1news\\2news\\3\\n\\n\\1ftp\\2ftp\\3\\n\\n\\1irc\\2irc\\3/
	' |
	tr '\1' '\n' >$po.new
	mv $po.new $po
done
# Fix build with automake 1.13, which does not like $(srcdir) in TESTS statements
sed -i 's:$(srcdir)/auto-test:../auto-test:' test/Makefile.am

%build
gtkdocize --copy
autoreconf -f -i
%configure --with-pic \
	--libexecdir=%{_prefix}/lib/gnome-vfs-2.0\
	--disable-static\
        --disable-howl \
        --enable-selinux \
        --with-samba-includes=%{_includedir}/samba-4.0 \
	ac_cv_path_SSH_PROGRAM=/usr/bin/ssh
echo "#undef G_DISABLE_DEPRECATED" >> config.h
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang gnome-vfs-2.0
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
# Some sites use different partitions for /usr/(lib|lib64) and /usr/share.  Since you
# can't create hardlinks across partitions, we'll do this more than once.
find %{buildroot} -type f -name "*.la" -exec %{__rm} -vf {} +
%fdupes $RPM_BUILD_ROOT/%{_includedir}
%fdupes $RPM_BUILD_ROOT/%{_libdir}
%fdupes $RPM_BUILD_ROOT/%{_bindir}

%pre -f %{name}.schemas_pre

%post -p /sbin/ldconfig

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lst
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/dbus-1/services/gnome-vfs-daemon.service
%{_libdir}/*.so.*
%dir %{_libdir}/gnome-vfs-2.0
%{_libdir}/gnome-vfs-2.0/modules
%if "%{_libdir}" != "%{_prefix}/lib"
%dir %{_prefix}/lib/gnome-vfs-2.0
%endif
%{_prefix}/lib/gnome-vfs-2.0/gnome-vfs-daemon
%config %{_sysconfdir}/gnome-vfs-2.0

%files lang -f gnome-vfs-2.0.lang

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_libdir}/gnome-vfs-2.0/include
%{_libdir}/*.so

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/gnome-vfs-2.0

%changelog
* Fri Oct 20 2017 meissner@suse.com
- Add gnome-vfs2-openssl11.patch: Fixed the openssl build by
  replacing the private->ctx usage with a one working for all
  openssl (bsc#1042650).
* Mon Jun  5 2017 zaitor@opensuse.org
- Replace openssl-devel with libopenssl-1_0_0-devel BuildRequires:
  Build fails with openssl-1.1 (bgo#1042650).
* Tue Mar 15 2016 dliang@suse.com
- Add patches:
  + gnome-vfs2-2.12.2-smb-method-fixes.patch
  + gnome-vfs2-bug338168-cannot-access-from-location-input.patch
  Porting some missing patches from SLE to openSUSE (bnc#832381).
* Fri Feb 12 2016 dimstar@opensuse.org
- Patch tagging: use valid tags.
* Tue Jan 28 2014 claudiozumbo@gmail.com
- Pass --with-samba-includes=%%{_includedir}/samba-4.0 to configure
  in order to find libsmbclient.h in /usr/include/samba-4.0/
  instead of /usr/include and build with SMB support (bnc#860649).
* Wed Jan  8 2014 dimstar@opensuse.org
- Add gnome-vfs2-g_memmove-no-more.patch: Use memmove in place of
  obsolete g_memmove.
* Wed Jan  8 2014 adrian@suse.de
- BuildRequire gamin-devel instead of unmaintained fam(-devel).
* Thu Dec 12 2013 dimstar@opensuse.org
- Drop gnome-vfs2-net-usershare.diff: patch has been disabled since
  at least openSUSE 11.1.
* Tue Jun 25 2013 dimstar@opensuse.org
- Replace $(srcdir) for TESTS in Makefile.am with .. (breaks out
  of tree builds, but we don't care that much).
- Cleanup other obsolete version checks:
  + Make -doc package unconditionally noarch (was > 11.2)
  + No longer mess with incomplete languages (was <= 11.2)
  + Drop hal-devel BuildRequires (was < 11.3)
* Thu Mar  7 2013 dimstar@opensuse.org
- Add "#undef G_DISABLE_DEPRECATED" to the generated config.h, to
  allow the usage of deprecated glib symbols (e.g. g_thread_*).
* Fri Feb  1 2013 coolo@suse.com
- update license to new format
* Fri Jan 18 2013 sbrabec@suse.cz
- Fix patch order to fix translatability of strings in patches.
* Mon Jul 16 2012 crrodriguez@opensuse.org
- Add gnome-vfs2-ssl.patch:
  + Never try to negotiate SSLv2 as it is completely broken from
    the security POV.
  + Use SSL_MODE_RELEASE_BUFFERS to keep openSSL memory usage as
    low as possible.
  + There are a myriad of other possible attacks like BEAST,
    version/cipher downgrades still possible but this patch do not
    address this concerns.
* Fri Sep  2 2011 vuntz@opensuse.org
- Change dbus-1-glib BuildRequires to dbus-1-glib-devel to fix
  build: dbus-1-glib-devel was apparently brought in by something
  else before.
* Wed Sep 29 2010 aj@suse.de
- Change lang package Requires to Recommends since it is not
  mandatory at runtime.
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.24.4:
  + Fix for non-writable home directory
  + Fix a crash on Solaris
  + Updated translations.
- Rebase gnome-vfs2-172680-novell-services.diff to apply without
  fuzz.
* Sun May 23 2010 vuntz@opensuse.org
- Do not build with HAL support on 11.3 and later: it should not be
  needed anymore, especially since gnome-vfs should not be used
  anymore. Fix bnc#601954.
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.24.3:
  + Don't crash if we get a NULL symlink
  + Updated translations
- Remove en@shaw translations on 11.2 and earlier.
- Rebase gnome-vfs2-172680-novell-services.diff.
* Tue Mar  2 2010 ro@suse.de
- fix warning: no return statement in function returning non-void
  to fix build (in test-mime-info-cache.c)
* Fri Dec 18 2009 crrodriguez@opensuse.org
- Add libselinux-devel BuildRequires and pass --enable-selinux to
  configure to enable selinux support.
- Remove unneeded Requires from devel package: libxml2-devel
  zlib-devel libopenssl-devel hal-devel libavahi-glib-devel.
* Thu Dec 17 2009 jengelh@medozas.de
- Add baselibs.conf as a source
- Make doc subpackage a noarch package
* Sat Nov 14 2009 vuntz@opensuse.org
- Update to version 2.24.2:
  + Add some new filesystem names
  + Update to new shared mime info format
- Drop CAN-2005-0706.diff: was integratred upstream.
- Drop gnome-vfs2-149355-novfs-is-not-local.diff: was integrated
  upstream.
- Drop gnome-vfs2-smb-bufsize.patch: was integrated upstream.
- Respin gnome-vfs2-172680-novell-services.diff to apply without
  fuzz.
* Tue May 12 2009 vuntz@novell.com
- Completely drop gnome-vfs-submount.patch: it has not been applied
  since quite some time and the hal world makes this useless.
- Drop gnome-vfs-new-folder-status.patch: it was fixed upstream on
  2004-10-21.
- Drop gnome-vfs2-uninited-vars.patch: it was fixed upstream on
  2005-07-24.
- Remove mention of
  gnome-vfs2-94400-cancelation-rewrite-suse10.diff: it's not there.
- Drop gnome-vfs2-114473-ensure-mounted-subfs-volume.diff: subfs is
  not used in the hal world.
- Drop gnome-vfs2-172870-unmount-uses-hal-udi-from-drive.diff: this
  has been disabled for a while, and it was originally a merge from
  a feature in CVS. So it should work upstream.
- Drop gnome-vfs2-183723-unix-mounts-plus-hal-mounts.diff that was
  already disabled: this patch was originally added because of
  another patch. Not needed upstream.
- Drop gnome-vfs2-224527-slow-fadvise.patch: it's a patch with no
  real diff...
- Remove ability to build with bonjour, and always build with
  avahi. And therefore drop gnome-vfs2-bonjour-support.patch.
- Change gnome-vfs2-293856-novfs-file-method.diff to make more
  sense, and tag it.
- Tag CAN-2005-0706.diff, gnome-vfs-url_handler_news.patch,
  gnome-vfs-url_handler_ftp.patch,
  gnome-vfs2-smb-bufsize.patch,
  gnome-vfs2-172680-novell-services.diff,
  gnome-vfs-no-mime-data.patch
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 2.24.1:
  + Fix memory leaks
  + Use single GLib includes
  + Updated translations.
- Remove -fno-strict-aliasing from CFLAGS.
- Remove checks for old versions of openSUSE.
- Remove unneeded BuildRequires: libsmbclient, update-desktop-files
- Remove AutoReqProv: it's default now.
- Call gtkdocize --copy before autoreconf: it seems the gtk-doc
  used to create tarball doesn't play well with the gtk-doc we have
  in the distribution at the moment.
* Sun Jan 25 2009 vuntz@novell.com
- Remove Requires on libbonobo-devel for the devel package.
* Sat Jan 17 2009 crrodriguez@suse.de
- remove "la" files, baby step to clean up all references
  to libavahi-*.la
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Mon Nov 24 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue Nov 11 2008 vuntz@novell.com
- Remove gnome-help-NLD: it's not used anymore as far as I can
  tell. Fix bnc#443096.
* Wed Sep 24 2008 mboman@suse.de
- Update to version 2.24.0:
  + Fixes for Windows
  + Avoid excessive warning spew if dbus is not availible
* Thu Aug  7 2008 maw@suse.de
- Update to versino 2.23.0:
  + Sync xdgmime with GIO.
* Fri Jul 18 2008 rodrigo@suse.de
- Replace invalid patch tag
* Sun May 18 2008 aj@suse.de
- Do not require openssh, hardcode /usr/bin/ssh instead.
- Remove unneccessary BuildRequires.
* Thu May  1 2008 vuntz@suse.de
- Add gnome-vfs-url_handler_irc.patch to add irc: url handler
  schema. See bnc#372232.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Apr  1 2008 sbrabec@suse.cz
- SuSEconfig script moved to glib2 (bnc#372783).
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Fix http seek handling so that http is consistent with other
    backends.
* Thu Mar 13 2008 sbrabec@suse.cz
- Custom look'n'feel gconf keys moved to gconf2-branding-openSUSE.
* Thu Jan 31 2008 maw@suse.de
- Update to version 2.21.90:
  + Fix memory leaks
  + Don't use deprecated glib APIs
  + Handle non-utf8 locales better in gnome_vfs_make_uri_from_input
  + ftp: Handle links with spaces in them
  + actually use the mmap cache
  + webdav: Handle filenames with reserved char
  + use only system inotify headers
  + win32 fixes.
* Wed Dec 26 2007 gjhe@suse.de
- Fix bug #293856 - Error "Not on the same file system while moving
  <filename>" appears when copy from one volume to another.
* Fri Nov 23 2007 maw@suse.de
- Update to version 2.20.1:
  + Fix a dns-sd crash.
* Thu Oct 11 2007 sbrabec@suse.cz
- Use binding specific avahi package.
* Tue Sep 18 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * translation updates
* Wed Sep  5 2007 maw@suse.de
- Don't run %%fdupes on directories where multiple partitions
  are liable to be mounted.
* Wed Aug 29 2007 maw@suse.de
- Update to version 2.19.91:
  + Fix build against recent glibcs
  + Handle non-ascii workgroup names better
- Refresh gnome-vfs2-172680-novell-services.diff.
* Thu Aug  9 2007 sbrabec@suse.cz
- Don't obsolete gnome-mime-data (#251043).
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Tue Jul 31 2007 maw@suse.de
- Update to version 2.19.3:
  + Exports modules directly in pkg-config files
  + Fixes a crash in gnome_vfs_xfer
  + Adds the GNOME_VFS_DIRECTORY_VISIT_IGNORE_RECURSE_ERROR flag
  + Doesn't resolve non-mdns hosts when resolving mDNS service names
  + Works around an issue with mDNS and link-local ipv6 addresses.
* Thu Jul  5 2007 maw@suse.de
- Update to version 2.19.2, which:
  + Handles avahi shutdown better
  + Handle filenames that look like years better (ftp protocol)
  + Has performance fix for some filesystems
  + Contains some inotify fixes
- Remove new upstreamed gnome-vfs2-dns-sd.patch
* Mon May 21 2007 sbrabec@suse.cz
- Disable default application for ftp:// URL handler by default -
  it's handled internally better (GNOME#426638#c9).
* Thu Apr 19 2007 sbrabec@suse.cz
- Correctly initialize XDG_DATA_DIRS in SuSEconfig (#240603).
* Mon Apr  2 2007 sbrabec@suse.cz
- Fixed patch order for gnome-patch-translation.
* Tue Mar 27 2007 crivera@suse.de
- Add a patch to handle avahi-daemon restarts without
  segfaulting.  This patch has already been committed upstream.
  This fixes 214887.
* Tue Mar 27 2007 sbrabec@suse.cz
- Build correctly with bzip2 in older products.
* Sun Mar 25 2007 aj@suse.de
- Add libbz2-devel to BuildRequires.
* Wed Mar 21 2007 maw@suse.de
- Update to version 2.18.0.1
- Bugfixes, including bugzilla.gnome.org 374341, 414073, 417595,
  and 374341.
* Tue Feb 27 2007 sbrabec@suse.cz
- Build without obsolete gnome-mime-data (#248677).
  http://bugzilla.gnome.org/show_bug.cgi?id=336952
* Fri Feb 23 2007 hpj@suse.de
- Add patch to lessen the impact of poor fadvise() implementations.
  Fixes Novell bug #224527.
* Fri Feb 16 2007 maw@suse.de
- Update to 2.17.91
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Wed Jan 31 2007 sbrabec@suse.cz
- Do not require gnome-filesystem (#240603).
* Sat Jan  6 2007 sbrabec@suse.cz
- Build with Avahi support.
- Build with ACL support.
* Wed Dec 13 2006 maw@suse.de
- Fix tyops.
* Wed Dec 13 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov 14 2006 jhargadon@suse.de
- removed unneeded directory /opt/gnome/share/dbus-1 from the
  package.  defect #220984
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 2.16.1
- Fix some leaks
- Upgrade to latest xdgmime version
- Fix crash on shutdown in http module
- Fix sftp crash
* Tue Sep 12 2006 jhargadon@suse.de
- update to version 2.16.0
- http: Fix crash on some redirects
- http: Ignore fragment identifiers in URIs
- support --disable-selinux
- Fix gnome_vfs_mime_type_is_equal
- inotify monitoring fixes
- Remove old unused code
- Better sniffing of text files
- Tweak xfer callbacks for better performance
* Thu Aug 17 2006 jhargadon@suse.de
- update to version 2.15.91
- Avoid slow I/O looking for trash on remote shares
- Inotify updates to avoid polling as much.
- Don't use deprectated dbus calls
- Always dispatch monitor events
- Add gnome_vfs_drive_needs_eject function
- Add support for compile time version checking.
- Add GNOME_VFS_ERROR_INVALID_FILENAME error
- Handle ENAMETOOLONG when converting from errno
- Initialize SSL lazily
- Fix error reporting in dns resolver code
- ftp: fixes for IIS virtual directories
- moved dbus service /opt/gnome/share/dbus-1/services to
  /usr/share/dbus-1/services per bug#202853
* Mon Jul 31 2006 gekker@suse.de
- Update to version 2.15.3
- Remove upstreamed patches
- Remove deps on bonobo and use dbus for ipc between components
  INotify support, performance fixes, HAL support, doc updates and
  translations fixes, plus lots of bug fixes.
* Fri Jun 16 2006 federico@novell.com
- Added gnome-vfs2-183723-unix-mounts-plus-hal-mounts.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=183723.  Our
  gnome-vfs2-hal-mount.patch had removed the ability to mount certain
  volumes through mount(8), instead of HAL.  We need this for volumes
  that don't have a HAL UDI, like NFS mounts listed in /etc/fstab.
* Tue Jun 13 2006 gekker@suse.de
- Fix typo in hu translation (#183987)
* Mon Jun 12 2006 federico@novell.com
- Added gnome-vfs2-172680-novell-services.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=172680.  This adds a
  "Novell Services" item to the network:/// method, which will get
  activated when Novell Client for Linux is installed.
* Thu Jun  1 2006 federico@novell.com
- Added gnome-vfs2-172870-unmount-uses-hal-udi-from-drive.diff to fix
  part of https://bugzilla.novell.com/show_bug.cgi?id=172870.  This
  makes unmounting floppy drives work correctly.
* Fri May 19 2006 dave@suse.de
- Work around a problem with samba servers not liking to return
  > 64k bytes.
* Fri May  5 2006 federico@novell.com
- Added gnome-vfs2-149355-novfs-is-not-local.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=149355.  This adds
  "novfs" to the list of file system types that are not local: those
  are Novell Client for Linux (i.e. Netware) mounts.
* Wed May  3 2006 federico@novell.com
- Added gnome-vfs2-171156-ftp-large-files.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=171156.  This will make
  the FTP method parse 64-bit file sizes correctly, and also generate
  block sizes correctly.
* Wed Apr 26 2006 sbrabec@suse.cz
- Explicitly require /etc/profile.d/xdg-enviroment.sh (#166270).
* Thu Apr 13 2006 federico@novell.com
- Added gnome-vfs2-155010-media-check-user-visible-drives.diff to fix
  the gnome-vfs2 part of
  https://bugzilla.novell.com/show_bug.cgi?id=155010.  With this, a
  GnomeVFSDrive is considered to be user-visible if it doesn't support
  notifications when media is inserted: for such drives, we must
  always show an icon to the user, otherwise there is no way to
  auto-mount them and thus show them.
* Fri Apr  7 2006 federico@novell.com
- Updated gnome-vfs2-hal-mount.patch.  Now it will correctly call the
  user's callbacks to notify them about the status of
  mount/unmount/eject operations.  Fixes
  https://bugzilla.novell.com/show_bug.cgi?id=162702
* Tue Apr  4 2006 sbrabec@suse.cz
- Changed default FTP handler to firefox (#163193).
* Thu Mar 30 2006 gekker@suse.de
- Remove thunderbird from dfault url handler for news (#156008)
* Mon Mar 13 2006 sbrabec@suse.cz
- Fixed SuSEconfig.gnome-vfs2 quoting, accept colons in file names
  (#157093).
* Mon Mar  6 2006 sbrabec@suse.cz
- Auto-update news and ftp schemas translations.
* Sat Mar  4 2006 aj@suse.de
- Fix build by disabling translation patches.
* Thu Mar  2 2006 sbrabec@suse.cz
- Fixed application type heuristics, added core applications to
  defaults (#154710).
* Fri Feb 24 2006 federico@novell.com
- Updated gnome-vfs2-net-usershare.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=149678.  With this, the
  authentication dialog will no longer show "DOMAINNAME\username" if
  we are logged into an Active Directory domain.
* Thu Feb 16 2006 danw@suse.de
- Remove the hack to allow either fam or gamin to be used, and
  just depend on fam. Add a new patch to use inotify directly if
  the fam server is not running (using the inotify code from
  gnome-vfs 2.14). Lets us kill off gamin as per #128037 and
  discussion on packagers.
* Wed Feb 15 2006 jpr@suse.de
- Prefer banshee for multimedia and zen-installer for packages
  (#131600)
* Fri Feb 10 2006 sbrabec@suse.cz
- Removed explicit requirement of mDNSResponder. Implicit
  dependency on libdns_ds.so is sufficient.
* Wed Feb  8 2006 sbrabec@suse.cz
- Created SuSEconfig.gnome-vfs2, which builds defaults.list from
  available applications, preferrably GNOME and GTK (#73661).
* Wed Feb  8 2006 jpr@suse.de
- Check for additional password string on stdout (#134613)
* Mon Feb  6 2006 federico@novell.com
- Updated gnome-vfs2-net-usershare.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=127526.  This makes
  certain administrative shares in the SMB method visible from the
  outside.
* Mon Feb  6 2006 federico@novell.com
- Updated gnome-vfs2-net-usershare.diff to fix the crash in
  https://bugzilla.novell.com/show_bug.cgi?id=147065.
* Wed Feb  1 2006 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Mon Jan 30 2006 federico@novell.com
- Fix bug #145199.  Nautilus now shows SMB printers and lets you
  double-click on them to configure them.
* Mon Jan 30 2006 sbrabec@suse.cz
- Default to nautilus for ftp:// and thunderbird for news://.
- Recreated ftp:// and news:// translation patches.
* Mon Jan 30 2006 federico@novell.com
- First stage of the fix for bug #145199.  Nautilus now shows SMB printers; it cannot yet
  "launch" them (i.e. launch the configuration program for remote printers).
* Sat Jan 28 2006 federico@novell.com
- If you create a "~/.debug-gnome-vfs-smb" file, the SMB method will output
  a lot of debugging information in "~/debug-gnome-vfs-smb.log".
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 federico@novell.com
- Disable the cdda module again at the "configure" level to fix
  bug #116472.  Double-clicking on an audio CD icon in Nautilus should
  now start playing the CD.
* Tue Jan 24 2006 jpr@suse.de
- Update gnome-vfs2-hal-mount.patch to unmount properly with the
  latest hal
* Mon Jan 23 2006 federico@novell.com
- Added gnome-vfs2-net-usershare.diff.  This makes the network://
  method also list the user's shares from Samba's "net usershare".
* Sun Jan 15 2006 meissner@suse.de
- require hal-devel in gnome-vfs2-devel.
* Tue Jan 10 2006 fejj@suse.de
- Added gnome-vfs2-hal-mount.patch
* Sun Dec  4 2005 lmuelle@suse.de
- Revert libsmbclient renameing.
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.2
* Mon Nov 14 2005 lmuelle@suse.de
- Use samba-libs instead of libsmbclient.
* Tue Nov  8 2005 federico@novell.com
- Added gnome-vfs2-115467-remove-deleted-file-metadata.diff to fix
  part of bug #115467.  When reporting the status of a Delete
  operation, this patch makes gnome-vfs turn on the flag that informs
  Nautilus that the file being deleted needs to have its metadata
  removed.  With this, the icons for resurrected files will not
  overlap the icons of other files.
* Wed Oct 12 2005 gekker@suse.de
- Update to version 2.12.1.1
- Remove upstreamed patch
* Mon Oct  3 2005 sbrabec@suse.cz
- Fixed name clash crash in fam/gamin patch (#116897).
* Thu Sep 22 2005 federico@novell.com
- Added gnome-vfs2-116472-disable-cdda.diff to fix the gnome-vfs2 part of bug #116472.
  This disables the cdda module in default-modules.conf.
* Thu Sep 15 2005 sbrabec@suse.cz
- Added ftp URL handler schema (#113104).
* Tue Sep 13 2005 sbrabec@suse.cz
- By default use eog for images, evince for PostScript (#116715).
* Mon Sep 12 2005 federico@novell.com
- Updated gnome-vfs-submount.patch to fix bug #116558.  Our submount patch was
  not taking into account that audio CDs appear as mounted volumes, but their
  file system type is null.
* Mon Sep 12 2005 sbrabec@suse.cz
- Re-enabled cdda module (#116472).
* Wed Sep  7 2005 sbrabec@suse.cz
- Added news URL handler schema (#113104).
* Mon Sep  5 2005 federico@novell.com
- Updated gnome-vfs2-94400-cancelation-rewrite-suse10.diff, this time
  to fix bug #114710.  Did an audit of the gnome-vfs threading code;
  this version of the patch has additional fixes.
* Mon Sep  5 2005 gekker@suse.de
- Fix crasher in nautilus (114473)
* Mon Sep  5 2005 sbrabec@suse.de
- Fixed fam/gamin patch comment.
* Mon Sep  5 2005 mmj@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Wed Aug 31 2005 federico@novell.com
- Added gnome-vfs2-100649-trash-see-all-volumes.diff to fix bug
  [#100649].  The trash can in Nautilus will now see all the volumes, so
  trash will work again.  This fix makes gnome-vfs keep account of all
  volumes; the ones not allowed by the HAL policy are just kept hidden
  from the user, but properly visible to client programs.
* Sat Aug 27 2005 federico@suse.de
- Updated gnome-vfs2-94400-cancelation-rewrite-suse10.diff to handle module callbacks
  correctly.  This should make authentication work again.  This is for bug #105810.
* Wed Aug 24 2005 gekker@suse.de
- Update to version 2.11.92
* Tue Aug 16 2005 sbrabec@suse.cz
- Patch to pick one of fam/gamin libraries by dlopen().
* Wed Aug 10 2005 federico@novell.com
- Removed gnome-vfs2-94400-file-method-cancel-while-open.patch, as it
  did not fix the problem completely.  Added
  gnome-vfs2-94400-cancelation-rewrite-suse10.diff, with a rewrite of
  the cancelation system.  This one is confirmed to work.
* Wed Aug  3 2005 federico@novell.com
- Added gnome-vfs2-94400-file-method-cancel-while-open.patch to fix
  bug #94400.  The file method now doesn't leak file descriptors if an open()
  call gets canceled.
* Mon Aug  1 2005 gekker@suse.de
- Update to version 2.11.90
* Fri Jul 29 2005 hpj@suse.de
- Add Bonjour support.
- Use Bonjour instead of Howl.
* Mon Jul 25 2005 gekker@suse.de
- Fix PKG_CONFIG_PATH
- Fix uninitialized variables
* Thu Jul 21 2005 gekker@suse.de
- Update to version 2.11.3
- Remove upstreamed patch
* Mon Jul 18 2005 jpr@suse.de
- Fix build for samba 3.0.20 which uses close_fn instead of close
  in the context now
* Fri Jun 24 2005 sbrabec@suse.cz
- Fixed devel requirements.
- Removed unneeded static modules and .la files for modules.
* Thu Jun 16 2005 gekker@suse.de
- Update version to 2.11.2
- Remove upstreamed patches.
* Thu Jun  2 2005 ro@suse.de
- fix last change
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Fri May 27 2005 ro@suse.de
- apply hal patch only on > 9.3
* Wed Apr 20 2005 ro@suse.de
- fix build with new hal
  (needs more work: need to detect hal version and apply patch
  conditionally)
* Mon Apr 11 2005 sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Mon Apr 11 2005 sbrabec@suse.cz
- Fixed buffer overflow in CDDB code (#72397, CAN-2005-0706).
* Sat Mar 19 2005 jody@suse.de
- fix typo in firefox patch
* Fri Mar 18 2005 sbrabec@suse.cz
- Fixed attributes of defaults.list.
* Wed Mar 16 2005 clahey@suse.de
- Add realplayer types.
* Wed Mar 16 2005 jody@suse.de
- https://bugzilla.innerweb.novell.com/show_bug.cgi?id=66947
  back out patch, and re-open bug.  -remote openURL is too low
  level and causes 72998.
* Tue Mar 15 2005 clahey@suse.de
- Change pdf handler to acroread.
* Mon Mar 14 2005 jody@suse.de
- https://bugzilla.innerweb.novell.com/show_bug.cgi?id=66947
  Use -remote openURL(%%s) for firefix
  Beef up the arg expansion in gnome-vfs to handle %%s inside an arg
- patch for cddb from
  https://bugzilla.innerweb.novell.com/show_bug.cgi?id=72397
* Thu Mar 10 2005 gekker@suse.de
- Change from gamin to fam per Andreas
* Tue Mar  8 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Tue Mar  8 2005 gekker@suse.de
- Add gnome-vfs2-submount2.patch (70836)
* Mon Mar  7 2005 clahey@suse.de
- Created defaults.list.
* Wed Mar  2 2005 gekker@suse.de
- update to version 2.9.92
* Tue Mar  1 2005 clahey@suse.de
- Use firefox in 9.3.
* Fri Feb 25 2005 sbrabec@suse.cz
- Require desktop-file-utils (#66605).
* Fri Feb 11 2005 sbrabec@suse.cz
- Update to version 2.9.91.
- Removed broken dns_sd patch.
* Fri Feb  4 2005 gekker@suse.de
- Update to version 2.9.90.
* Fri Feb  4 2005 sbrabec@suse.cz
- Added support for mDNSResponder instead of howl.
* Fri Feb  4 2005 ro@suse.de
- added dbus-1-glib to neededforbuild
* Fri Feb  4 2005 sbrabec@suse.cz
- Switched back to openssl (#44438).
* Tue Feb  1 2005 sbrabec@suse.cz
- Removed SuSEconfig script - there is no vfolder support any more.
* Fri Jan 14 2005 sbrabec@suse.cz
- Build with gamin instead of fam.
* Thu Jan 13 2005 ro@suse.de
- remove heimdal stuff from neededforbuild, this is handled
  by kerberos-devel-packages
* Wed Jan 12 2005 sbrabec@suse.cz
- Updated to version 2.9.3.
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Thu Nov 18 2004 ro@suse.de
- use kerberos-devel-packages
* Tue Nov 16 2004 sbrabec@suse.cz
- Replaced insecure old extfs modules by fixed modules from mc,
  fixed the rest (CAN-2004-0494, CRD: 04.08.2004) (#43152).
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 sbrabec@suse.cz
- Use gnutls instead of openssl (#44438).
* Thu Sep 30 2004 hhetter@suse.de
- since fam does not watch symbolic links correctly,
  point drives to /dev/shm/Desktop
* Tue Sep 28 2004 dave@suse.de
- New gnome-vfs-submount.patch, fixes ximian #66142
* Mon Sep 20 2004 clahey@suse.de
- Added gnome-vfs2-vfolder-delay-notification.patch.  This delays
  notification in a way to work around a race condition somewhere
  in gnome-vfs2 that manifests as a freeze bug in gnome-panel.
* Fri Sep 17 2004 hhetter@suse.de
- remove the ximian-menu definition and have the native
  applications: menu on SuSE 9.2 as alternative to
  the SUSE Menu (#45052)
* Thu Sep 16 2004 dave@suse.de
- Added a new gnome-vfs-submount.patch, fixes ximian bug #62611
* Mon Sep  6 2004 hhetter@suse.de
- remove the schema definition for firefox on SuLi9.2
- default to epiphany for SULi 9.2
* Wed Sep  1 2004 shprasad@suse.de
- Changed the default url-handler to firefox.
* Tue Aug 31 2004 clahey@suse.de
- Edited gnome-help-NLD to not depend on XML::Simple.
* Fri Aug 27 2004 clahey@suse.de
- Switched the default help handler to gnome-help-NLD which does
  some processing on the URL and then calls khelpcenter.
* Mon Aug 23 2004 rml@suse.de
- Update gnome-vfs2-ximian-menus.patch (bug #63554)
* Thu Aug 12 2004 ro@suse.de
- Provide instead of Conflict gnome-vfs-extras
* Thu Aug 12 2004 dave@suse.de
- Obsoleted/Conflicted gnome-vfs-extras
* Thu Aug  5 2004 dave@suse.de
- Added build deps for heimdal-lib
* Thu Jul 29 2004 dave@suse.de
- Added gnome-vfs-new-folder-status.patch
- Added a new version of gnome-vfs-submount.patch
* Tue Jun 22 2004 dave@suse.de
- Added gnome-vfs-computer-filenames.patch
* Thu Jun 17 2004 coolo@suse.de
- fixing require
* Fri Jun  4 2004 clahey@suse.de
- Use -p0 to apply submount patch.
* Fri Jun  4 2004 clahey@suse.de
- Added a patch to fix interactions with submount.
* Wed Jun  2 2004 mibarra@suse.de
- Removed the default-url-handlers patch, it is no longer necessary.
* Tue May 11 2004 clahey@suse.de
- Added gnome-vfs2-default-url-handlers.patch which adds a
  handler for mailto:.
* Tue May  4 2004 clahey@suse.de
- Added patch updating the applications vfolder for the rework
  of the gnome menus.
- Added patch updating how GNOME_PATH was used in determining
  where to search for .desktop files.
* Mon May  3 2004 clahey@suse.de
- Added patch to use new control center layout.
* Mon Apr 26 2004 sbrabec@suse.cz
- Updated to version 2.6.1.
* Mon Apr 26 2004 hhetter@suse.de
- updated to version 2.6.0 [GNOME2.6]
- added new schemas and gnome-vfs-daemon
* Mon Apr  5 2004 sbrabec@suse.cz
- Fixed error message in SuSEconfig (#36270).
* Fri Mar 19 2004 hhetter@suse.de
- included drive:// location for /var/lib/Desktop handling
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb  9 2004 hhetter@suse.de
- updated to version 2.4.2 [GNOME2.4.2]
* Sat Jan 10 2004 adrian@suse.de
- add missing %%defattr
* Wed Oct 29 2003 sbrabec@suse.cz
- Fixed files listed twice.
* Mon Oct 27 2003 sbrabec@suse.cz
- Auto-generated marked files as %%ghost.
* Mon Oct 27 2003 sbrabec@suse.cz
- Updated to version 2.4.1.
* Fri Oct 24 2003 sbrabec@suse.cz
- Defined new URL providers - suse-menu:// and yast-settings://.
- Added SuSEconfig script for generating SuSE menu vfolder-info menu
  from XDG menu file.
* Mon Oct  6 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Fri Sep 19 2003 hhetter@suse.de
- vfolder definition update
* Tue Sep 16 2003 sbrabec@suse.cz
- Fixed "mtime on copy from CD-ROM" problem
  (http://bugzilla.gnome.org/show_bug.cgi?id=117762).
* Tue Sep 16 2003 hhetter@suse.de
- vfolder definition update
* Wed Sep 10 2003 hhetter@suse.de
- vfolder definition update
- fix wrong allocated "more" folders
- fix double entries
* Mon Sep  8 2003 hhetter@suse.de
- vfolder definition update (fix settings)
* Thu Sep  4 2003 hhetter@suse.de
- vfolder definition renewal
* Fri Aug 29 2003 hhetter@suse.de
- vfolder definition update
* Mon Aug 25 2003 hhetter@suse.de
- introduce suse vfolder definition
* Wed Jul 23 2003 hhetter@suse.de
- fix build for libmoniker_std.so
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jun 23 2003 sbrabec@suse.cz
- Created empty directory for network shares.
* Fri Jun 20 2003 sbrabec@suse.cz
- Directory packaging fix.
- Prefix clash fix.
* Tue May 27 2003 sbrabec@suse.cz
- Updated to version 2.2.5.
* Mon May 26 2003 sbrabec@suse.cz
- Do not provide gnvfs/gnvfsd (needed by new RPM).
* Wed Mar  5 2003 sbrabec@suse.cz
- Added bzip2 and fam-devel to neededforbuild.
* Tue Feb 11 2003 sbrabec@suse.cz
- Updated to version 2.2.1 (fixes theme-manager issues).
* Wed Jan 29 2003 hhetter@suse.de
- updated to version 2.2.0
* Wed Jan 15 2003 hhetter@suse.de
- updated to version 2.1.91
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 2.4.0.1 [GNOME 2.0.3]
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Aug 20 2002 hhetter@suse.de
- add PreReq: filesystem [#17861]
* Thu Aug 15 2002 hhetter@suse.de
- require gnome-mime-data (#17738)
- branch doc package
* Fri Aug  9 2002 hhetter@suse.de
- updated to version 2.0.2
- added openssl to neededforbuild
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Thu Jun 27 2002 hhetter@suse.de
- updated to version 2.0.1 (gnome 2 final)
  * create ~.gnome if it does not exist
- provide schemas
- fix filelist
* Tue Jun 18 2002 meissner@suse.de
- for FAM we need libstdc++-devel (for the .la file)
* Tue Jun 18 2002 hhetter@suse.de
- build with FAM support
* Wed Jun 12 2002 hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 11 2002 ro@suse.de
- fix libdir usage for modules/extfs
* Tue Jun 11 2002 hhetter@suse.de
- updated to version 1.9.17
* Tue Jun  4 2002 hhetter@suse.de
- updated to version 1.9.16, source frozen
* Tue May 14 2002 ro@suse.de
- use libdir
* Tue Apr  9 2002 hhetter@suse.de
- use LIBRARY_PATH
- update to version 1.9.11 [gnome2 desktop beta3]
* Fri Feb  1 2002 hhetter@suse.de
- updated to version 1.9.5 [gnome desktop alpha2]
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 17 2002 hhetter@suse.de
- prefix to /opt/gnome2
* Wed Jan  9 2002 hhetter@suse.de
- added gnome-vfs-module-2.0.pc to the filelist of the
  devel package
* Wed Jan  9 2002 hhetter@suse.de
- initial SuSE Package for GNOME 2.0 platform
